{	
	"executor": {
	"executorType": "sequentialExecutor",
	"sequence": [ "start", "inputToCVMat", "cvtColor", "resize", "convertTo", "crop", "crop1", "crop2", "crop3", "crop4", "crop5", "crop6", "resize0", "resize1", "resize2", "resize3", "resize4", "resize5", "resize6", "CVMatVecToTensor", "infer", "tensorToFloatTwoDimVec", "angleNormalize", "final" ],
	"dataStream": {
		"inputToCVMat": {
			"input": ["srcImage"],
			"output": ["CVMatOutput"]
		},
		"cvtColor": {
			"input": ["CVMatOutput"],
			"output": ["cvtColorOutput"]
		},
		"resize": {
			"input": ["cvtColorOutput"],
			"output": ["resizeOutput"]
		},
		"convertTo": {
			"input": ["resizeOutput"],
			"output": ["convertToOutput"]
		},
		"crop": {
			"input": ["convertToOutput"],
			"output": ["cropOutput"]
		},
		"crop1": {
			"input": ["cropOutput"],
			"output": ["cropOutput1"]
		},
		"crop2": {
			"input": ["cropOutput"],
			"output": ["cropOutput2"]
		},
		"crop3": {
			"input": ["cropOutput"],
			"output": ["cropOutput3"]
		},
		"crop4": {
			"input": ["cropOutput"],
			"output": ["cropOutput4"]
		},
		"crop5": {
			"input": ["cropOutput"],
			"output": ["cropOutput5"]
		},
		"crop6": {
			"input": ["cropOutput"],
			"output": ["cropOutput6"]
		},
		"resize0": {
			"input": ["cropOutput"],
			"output": ["resizeOutput0"]
		},
		"resize1": {
			"input": ["cropOutput1"],
			"output": ["resizeOutput1"]
		},		
		"resize2": {
			"input": ["cropOutput2"],
			"output": ["resizeOutput2"]
		},		
		"resize3": {
			"input": ["cropOutput3"],
			"output": ["resizeOutput3"]
		},		
		"resize4": {
			"input": ["cropOutput4"],
			"output": ["resizeOutput4"]
		},		
		"resize5": {
			"input": ["cropOutput5"],
			"output": ["resizeOutput5"]
		},		
		"resize6": {
			"input": ["cropOutput6"],
			"output": ["resizeOutput6"]
		},		
		"CVMatVecToTensor": {
			"input": ["resizeOutput0","resizeOutput1","resizeOutput2","resizeOutput3","resizeOutput4","resizeOutput5","resizeOutput6"],
			"output": ["CVMatToTensorOutput"]
		},
		"infer": {
			"input": ["CVMatToTensorOutput"],
			"output":["inferOutput"]
		},
		"tensorToFloatTwoDimVec": {
			"input": ["inferOutput"],
			"output":["tensorToFloatTwoDimVecOutput"]
		},
		"angleNormalize": {
			"input": ["tensorToFloatTwoDimVecOutput"],
			"output":["output"]
		}
	}
	},
	"node": {
		"start": {
			"nodeType": "StartNode"
		},
		"inputToCVMat": {
			"nodeType": "InputToCVMatNode"
		},
		"cvtColor": {
			"nodeType": "CvtColorNode",
			"code": "BGR"
		},
		"resize": {
			"nodeType": "ResizeNode",
			"width": 1024,
			"height": 1024,
			"equalProportion": true,
			"isIgnoreSmallImg": true,
			"isUseMaxScale": false
		},
		"convertTo": {
			"nodeType": "ConvertToNode",
			"rtype": 5,
			"alpha": 1,
			"beta": 0.0
		},
		"crop": {
			"nodeType": "CropNode",
			"needPopData": true,
			"cropMode": 1,
			"sideRatio":[0.05,0.05,0.05,0.05]
		},
		"crop1": {
			"nodeType": "CropNode",
			"cropMode": 1,
			"needPopData": false,
			"sideRatio":[0,0.5,0,0.5]
		},
		"crop2": {
			"nodeType": "CropNode",
			"cropMode": 1,
			"needPopData": false,
			"sideRatio":[0,0.5,0.5,0]
		},
		"crop3": {
			"nodeType": "CropNode",
			"cropMode": 1,
			"needPopData": false,
			"sideRatio":[0.5,0,0,0.5]
		},
		"crop4": {
			"nodeType": "CropNode",
			"cropMode": 1,
			"needPopData": false,
			"sideRatio":[0.5,0,0.5,0]
		},
		"crop5": {
			"nodeType": "CropNode",
			"cropMode": 1,
			"needPopData": false,
			"sideRatio":[0.25,0.25,0.25,0.25]
		},
		"crop6": {
			"nodeType": "CropNode",
			"cropMode": 1,
			"needPopData": false,
			"sideRatio":[0.166666,0.166666,0.166666,0.166666]
		},
		"resize0": {
			"nodeType": "ResizeNode",
			"width": 448,
			"height": 448,
			"equalProportion": false
		},
		"resize1": {
			"nodeType": "ResizeNode",
			"width": 448,
			"height": 448,
			"equalProportion": false
		},		
		"resize2": {
			"nodeType": "ResizeNode",
			"width": 448,
			"height": 448,
			"equalProportion": false
		},		
		"resize3": {
			"nodeType": "ResizeNode",
			"width": 448,
			"height": 448,
			"equalProportion": false
		},		
		"resize4": {
			"nodeType": "ResizeNode",
			"width": 448,
			"height": 448,
			"equalProportion": false
		},		
		"resize5": {
			"nodeType": "ResizeNode",
			"width": 448,
			"height": 448,
			"equalProportion": false
		},		
		"resize6": {
			"nodeType": "ResizeNode",
			"width": 448,
			"height": 448,
			"equalProportion": false
		},		
		"CVMatVecToTensor": {
			"nodeType": "CVMatVecToTensorNode",
			"elemsize": 4,
			"batchSize": 7,
			"name": "",
			"layout": ["n","h","w","c"]
		},
		"infer": {
			"nodeType": "InferenceNode",
			"backendType": 0,
			"precision": 0,
			"modelFileNames":["angle_detect_v1.tflite","angledetection_result_dict.txt"]
		},
		"tensorToFloatTwoDimVec": {
			"nodeType": "TensorToFloatTwoDimVecNode",
			"index":2,
			"rowsIndex":0,
			"colsIndex":1
		},
		"angleNormalize": {
			"nodeType": "AngleNormalizeNode"
		},
		"final": {
			"nodeType": "FinalNode",
			"release": ["srcImage"]
		}
	}
}